#
# spec file for package deutex
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           deutex
Version:        5.1.0
Release:        0
Summary:        WAD composer for Doom and related games
License:        GPL-2.0+
Group:          Development/Tools/Other
URL:            http://www.teaser.fr/~amajorel/deutex/
Source0:        https://github.com/Doom-Utils/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/Doom-Utils/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz.sig
Patch1:         deutex-proto.diff
Patch2:         deutex-nolimit.diff
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
Provides:       deusf = %{version}

%description
DeuTex is a wad composer for Doom, Heretic, Hexen and Strife. It can
be used to extract the lumps of a wad and save them as individual
files. Conversely, it can also build a wad from separate files. When
extracting a lump to a file, it does not just copy the raw data, it
converts it to an appropriate format (such as PPM for graphics, Sun
audio for samples, etc.). Conversely, when it reads files for
inclusion in pwads, it does the necessary conversions (for example,
from PPM to Doom picture format). In addition, DeuTex has functions
such as merging wads, etc.

%prep
%setup -q
%patch -P 1 -P 2 -p1

%build
autoreconf -fiv
%configure
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
%make_install

%files
%doc COPYING COPYING.LIB
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6%{ext_man}

%changelog
